@import 'settings';
@import 'mixins';

@import '~react-select/dist/react-select.css';

.SmartSelectContainer {
    display: inline-block;
    vertical-align: middle;
    min-width: 320px;
    margin-right: 5px;

    $select-height: 28px;

    .Select {
        .Select-control {
            height: $select-height;
            border-radius: 3px;
            border-color: var(--border-color);
            color: var(--color-black);

            .Select-value {
                max-width: calc(100% - 35px);
            }
        }

        .Select-placeholder {
            color: var(--color-gray-600);
        }

        &.is-focused {
            .Select-control {
                border-color: #999;
                box-shadow: none;
            }
        }

        .Select-input,
        .Select-placeholder,
        &--single > .Select-control .Select-value {
            height: $select-height;
            line-height: $select-height;
        }

        &.has-value.Select--single > .Select-control .Select-value .Select-value-label,
        &.has-value.is-pseudo-focused.Select--single > .Select-control .Select-value .Select-value-label {
            color: var(--color-black);
        }
    }

    .Select-clear-zone {
        background: var(--color-white);
    }

    .Select-arrow {
        transform: scaleX(0.65) scaleY(1.25);
        border-color: var(--color-black) transparent transparent;
    }

    .Select-menu-outer {
        z-index: 20;
        border-color: #aaa;
    }

    .Select.is-focused .Select-menu-outer {
        box-shadow: none;
    }

    .Select-option {
        color: var(--color-black);

        &.is-selected {
            color: var(--color-black);
            background-color: var(--color-gray-200);
        }

        &.is-focused {
            color: var(--color-black);
            background-color: var(--color-gray-100);
        }
    }
}
